Index: branches/libIGCM_MPI_OpenMP/libIGCM_sys/libIGCM_sys_cesium.ksh
===================================================================
--- branches/libIGCM_MPI_OpenMP/libIGCM_sys/libIGCM_sys_cesium.ksh	(revision 570)
+++ branches/libIGCM_MPI_OpenMP/libIGCM_sys/libIGCM_sys_cesium.ksh	(revision 571)
@@ -866,84 +918,83 @@
 #D-
 function IGCM_sys_Get_Master {
-    IGCM_debug_PushStack "IGCM_sys_Get_Master" $@
-    if ( $DEBUG_sys ) ; then
-	echo "IGCM_sys_Get_Master :" $@
-    fi
-    if [ $DRYRUN = 0 ]; then
-
-	typeset TEST NB_ESSAI DELAI status i
-	
-	TEST=$( IGCM_sys_RshMaster [ -d $1 ] && echo 1 || echo 0 )
-	if [ ${TEST} -ne 1 ] ; then
-	    echo "WARNING : IGCM_sys_Get_Master ${1} DOES NOT EXIST ON ${MASTER}."
-	    IGCM_debug_PopStack "IGCM_sys_Get_Master"
-	    return
-	fi
-
-	# number of tentative
-	NB_ESSAI=10
-        # time delay between tentative
-	DELAI=10
-	#
-	(( i = 0 ))
-	while [ $i -lt $NB_ESSAI ] ; do
+  IGCM_debug_PushStack "IGCM_sys_Get_Master" $@
+  if ( $DEBUG_sys ) ; then
+    echo "IGCM_sys_Get_Master :" $@
+  fi
+  if [ $DRYRUN = 0 ]; then
+
+    typeset TEST NB_ESSAI DELAI status i
+    
+    TEST=$( IGCM_sys_RshMaster [ -d $1 ] && echo 1 || echo 0 )
+    if [ ${TEST} -ne 1 ] ; then
+      echo "WARNING : IGCM_sys_Get_Master ${1} DOES NOT EXIST ON ${MASTER}."
+      IGCM_debug_PopStack "IGCM_sys_Get_Master"
+      return
+    fi
+
+    # number of tentative
+    NB_ESSAI=10
+    # time delay between tentative
+    DELAI=10
+    #
+    (( i = 0 ))
+    while [ $i -lt $NB_ESSAI ] ; do
 	    #USUAL WAY
-	    scp -r ${MASTER}:$1 $2 > out_rsync 2>&1
-  	    status=$?
-	    if [ ${status} -gt 0 ]; then
-		IGCM_debug_Print 2 "IGCM_sys_Get_Master : scp failed ${i}/${NB_ESSAI}"
-		IGCM_debug_Print 2 "IGCM_sys_Get_Master : sleep ${DELAI} seconds and try again."
-		sleep $DELAI
-            else
-		break
-            fi
-            (( i = i + 1 ))
-	done
-
-	if [ ${status} -gt 0 ] ; then
-	    echo "IGCM_sys_Get_Master : error."
-	    cat out_rsync
-	    IGCM_debug_Exit "IGCM_sys_Get_Master"
-	else
-	    \rm out_rsync
-	fi
+      scp -r ${MASTER}:$1 $2 > out_rsync 2>&1
+      status=$?
+      if [ ${status} -gt 0 ]; then
+	IGCM_debug_Print 2 "IGCM_sys_Get_Master : scp failed ${i}/${NB_ESSAI}"
+	IGCM_debug_Print 2 "IGCM_sys_Get_Master : sleep ${DELAI} seconds and try again."
+	sleep $DELAI
+      else
+	break
+      fi
+      (( i = i + 1 ))
+    done
+
+    if [ ${status} -gt 0 ] ; then
+      echo "IGCM_sys_Get_Master : error."
+      cat out_rsync
+      IGCM_debug_Exit "IGCM_sys_Get_Master"
     else
-	( ${DEBUG_debug} ) && echo "DRYRUN mode = " $DRYRUN >> stack
-    fi
-    IGCM_debug_PopStack "IGCM_sys_Get_Master"
+      \rm out_rsync
+    fi
+  else
+    ( ${DEBUG_debug} ) && echo "DRYRUN mode = " $DRYRUN >> stack
+  fi
+  IGCM_debug_PopStack "IGCM_sys_Get_Master"
 }
 
 #D-#==================================================
 #D-function IGCM_sys_Put_Rest
-#D-* Purpose: Put computied restarts on $(ARCHIVE).
+#D-* Purpose: Put computied restarts on ${ARCHIVE}.
 #D-           File and target directory must exist.
 #D-* Examples:
 #D-
 function IGCM_sys_Put_Rest {
-    IGCM_debug_PushStack "IGCM_sys_Put_Rest" $@
-    if ( $DEBUG_sys ) ; then
-	echo "IGCM_sys_Put_Rest :" $@
-    fi
-    if [ $DRYRUN = 0 ]; then
-	if [ ! -f ${1} ] ; then
-	    echo "ERROR : IGCM_sys_Put_Rest ${1} DOES NOT EXIST ."
-	    IGCM_debug_Exit "IGCM_sys_Put_Rest"
-	fi
-
-	typeset RET
-	#
-	if [ X${JobType} = XRUN ] ; then
-	    IGCM_sys_Chmod 444 ${1}
-	fi
-	#
-	IGCM_sys_TestDirArchive $( dirname $2 )
-	#
-	# USUAL WAY
-	\cp $1 $2 > out_rsync 2>&1
-        RET=$?
+  IGCM_debug_PushStack "IGCM_sys_Put_Rest" $@
+  if ( $DEBUG_sys ) ; then
+    echo "IGCM_sys_Put_Rest :" $@
+  fi
+  if [ $DRYRUN = 0 ]; then
+    if [ ! -f ${1} ] ; then
+      echo "ERROR : IGCM_sys_Put_Rest ${1} DOES NOT EXIST ."
+      IGCM_debug_Exit "IGCM_sys_Put_Rest"
+    fi
+
+    typeset RET
+    #
+    if [ X${JobType} = XRUN ] ; then
+      IGCM_sys_Chmod 444 ${1}
+    fi
+
+    #
+    # USUAL WAY
+    \cp $1 $2 > out_rsync 2>&1
+    RET=$?
 
 # 	#RSYNC WITH NETWORK SSH CALL
-# 	echo ${RSYNC} ${RSYNC_opt} -e ssh ${RUN_DIR}/$1 ${RHOST}:${2} > out_rsync 2>&1
-# 	${RSYNC} ${RSYNC_opt} -e ssh ${RUN_DIR}/$1 ${RHOST}:${2} >> out_rsync 2>&1
+# 	echo ${RSYNC} ${RSYNC_opt} -e ssh ${RUN_DIR}/$1 ${STOREHOST}:${2} > out_rsync 2>&1
+# 	${RSYNC} ${RSYNC_opt} -e ssh ${RUN_DIR}/$1 ${STOREHOST}:${2} >> out_rsync 2>&1
 
 #  	#RSYNC WITH NFS USE
@@ -957,88 +1008,88 @@
 #  	(( RET=RET+$? ))
 
-	if [ ${RET} -gt 0 ] ; then
-	    echo "IGCM_sys_Put_Rest : error."
-	    cat out_rsync
-	    IGCM_debug_Exit "IGCM_sys_Put_Rest"
-	else
-	    \rm out_rsync
-	fi
+    if [ ${RET} -gt 0 ] ; then
+      echo "IGCM_sys_Put_Rest : error."
+      cat out_rsync
+      IGCM_debug_Exit "IGCM_sys_Put_Rest"
     else
-	( ${DEBUG_debug} ) && echo "DRYRUN mode = " $DRYRUN >> stack
-    fi
-    IGCM_debug_PopStack "IGCM_sys_Put_Rest"
+      \rm out_rsync
+    fi
+  else
+    ( ${DEBUG_debug} ) && echo "DRYRUN mode = " $DRYRUN >> stack
+  fi
+  IGCM_debug_PopStack "IGCM_sys_Put_Rest"
 }
 
 #D-#==================================================
 #D-function IGCM_sys_Put_Out
-#D-* Purpose: Copy a file on $(ARCHIVE) after have chmod it in readonly
+#D-* Purpose: Copy a file on ${ARCHIVE} after having chmod it in readonly
 #D-* Examples:
 #D-
 function IGCM_sys_Put_Out {
-    IGCM_debug_PushStack "IGCM_sys_Put_Out" $@
-    if ( $DEBUG_sys ) ; then
-	echo "IGCM_sys_Put_Out :" $@
-    fi
-    if [ $DRYRUN = 0 ]; then
-	if [ ! -f ${1} ] ; then
-	    echo "WARNING : IGCM_sys_Put_Out ${1} DOES NOT EXIST ."
-	    IGCM_debug_PopStack "IGCM_sys_Put_Out"
-	    return 1
-	fi
-	#
-	IGCM_sys_MkdirArchive $( dirname $2 )
-	#
-	typeset RET exist skip
-
-	#=====================================================
-        #         COMMENT OUT DOUBLE COPY ON SCRATCHDIR
-        #=====================================================
-
-	#echo ${2} | grep "${R_OUT}" > /dev/null 2>&1
-	#if [ $? -eq 0 ] ; then
-	#    typeset WORKPATH FILEPATH
-	#    WORKPATH=$( dirname $2 | sed -e "s|${R_OUT}|${R_OUT_SCR}|" )
-	#    IGCM_sys_MkdirWork ${WORKPATH} 
-	#    FILEPATH=${WORKPATH}/$( basename $2 )
-        #    #
-	#    IGCM_sys_Cp ${1} ${FILEPATH}
-	#fi
-
-	if [ X${JobType} = XRUN ] ; then
-	    if [ X${3} = X ] ; then
-		IGCM_sys_Chmod 444 ${1}
-	    fi
-	fi
-
-	exist=false
+  IGCM_debug_PushStack "IGCM_sys_Put_Out" $@
+  if ( $DEBUG_sys ) ; then
+    echo "IGCM_sys_Put_Out :" $@
+  fi
+  if [ $DRYRUN = 0 ]; then
+    if [ ! -f ${1} ] ; then
+      echo "WARNING : IGCM_sys_Put_Out ${1} DOES NOT EXIST ."
+      IGCM_debug_PopStack "IGCM_sys_Put_Out"
+      return 1
+    fi
+    #
+    IGCM_sys_MkdirArchive $( dirname $2 )
+    #
+    typeset RET exist skip
+
+    #=====================================================
+    #         COMMENT OUT DOUBLE COPY ON SCRATCHDIR
+    #=====================================================
+
+    #echo ${2} | grep "${R_OUT}" > /dev/null 2>&1
+    #if [ $? -eq 0 ] ; then
+    #    typeset WORKPATH FILEPATH
+    #    WORKPATH=$( dirname $2 | sed -e "s|${R_OUT}|${R_BUF}|" )
+    #    IGCM_sys_MkdirWork ${WORKPATH} 
+    #    FILEPATH=${WORKPATH}/$( basename $2 )
+    #    #
+    #    IGCM_sys_Cp ${1} ${FILEPATH}
+    #fi
+
+    if [ X${JobType} = XRUN ] ; then
+      if [ X${3} = X ] ; then
+	IGCM_sys_Chmod 444 ${1}
+      fi
+    fi
+
+    exist=false
+    skip=false
+    if [ -f $2 ] ; then
+      IGCM_debug_Print 1 "$2 already exist"
+      dmget $2
+      exist=true
+      if [ "X$( diff $1 $2 )" = X ] ; then
+	IGCM_debug_Print 2 "$1 and $2 are the same file, we skip the copy"
+	skip=true
+      else
+	IGCM_debug_Print 2 "$1 and $2 are not the same file, we force the copy"
 	skip=false
-	if [ -f $2 ] ; then
-	    IGCM_debug_Print 1 "$2 already exist"
-	    dmget $2
-	    exist=true
-	    if [ "X$( diff $1 $2 )" = X ] ; then
-		IGCM_debug_Print 2 "$1 and $2 are the same file, we skip the copy"
-		skip=true
-	    else
-		IGCM_debug_Print 2 "$1 and $2 are not the same file, we force the copy"
-		skip=false
-	    fi
-	fi
+      fi
+    fi
         # 
-	if ( [ X${exist} = Xtrue ] && [ X${skip} = Xfalse ] ) ; then
-	    IGCM_sys_Chmod u+w $2
-	fi
+    if ( [ X${exist} = Xtrue ] && [ X${skip} = Xfalse ] ) ; then
+      IGCM_sys_Chmod u+w $2
+    fi
 	# USUAL WAY
-	if [ X${skip} = Xfalse ] ; then
-	    cp $1 $2 > out_rsync 2>&1
-            RET=$?
-	    if [ ${RET} -gt 0 ] ; then
-		echo "IGCM_sys_Put_Out : error."
-		cat out_rsync
-		IGCM_debug_Exit "IGCM_sys_Put_Out"
-	    else
-		\rm out_rsync
-	    fi
-	fi
+    if [ X${skip} = Xfalse ] ; then
+      cp $1 $2 > out_rsync 2>&1
+      RET=$?
+      if [ ${RET} -gt 0 ] ; then
+	echo "IGCM_sys_Put_Out : error."
+	cat out_rsync
+	IGCM_debug_Exit "IGCM_sys_Put_Out"
+      else
+	\rm out_rsync
+      fi
+    fi
 
 # 	#RSYNC WITH NETWORK RSH CALL
@@ -1057,9 +1108,9 @@
 
 
-    else
-	( ${DEBUG_debug} ) && echo "DRYRUN mode = " $DRYRUN >> stack
-    fi
-    IGCM_debug_PopStack "IGCM_sys_Put_Out"
-    return 0
+  else
+    ( ${DEBUG_debug} ) && echo "DRYRUN mode = " $DRYRUN >> stack
+  fi
+  IGCM_debug_PopStack "IGCM_sys_Put_Out"
+  return 0
 }
 
@@ -1070,86 +1121,83 @@
 #D-            IGCM_sys_Get /l Array_contain_myfiles /destpath/
 function IGCM_sys_Get {
-    IGCM_debug_PushStack "IGCM_sys_Get" $@
-
-    typeset DEST RET dm_liste ifile target file_work 
-
-    if ( $DEBUG_sys ) ; then
-	echo "IGCM_sys_Get :" $@
-    fi
-    if [ $DRYRUN -le 2 ]; then
-	if [ X${1} = X'/l' ] ; then
-            # test if the first file is present in the old computation :
-	    eval set +A dm_liste \${${2}}
-	else
-	    eval set +A dm_liste ${1}
-	fi
-	eval DEST=\${${#}}
-
-	#=====================================================
-        #         COMMENT OUT DOUBLE COPY ON SCRATCHDIR
-        #=====================================================
-
-	# Is it an R_OUT file (not R_IN) ?
-	#echo ${dm_liste[0]} | grep "${R_OUT}" > /dev/null 2>&1
-	#if [ $? -eq 0 ] ; then
-	#    # Yes  ? then we try to get it in SCRATCHDIR
-	#    set +A file_work $( echo ${dm_liste[*]} | sed -e "s|${R_OUT}|${R_OUT_SCR}|g" )
-	#    if [ -f ${file_work[0]} ] ; then
-	#	IGCM_sys_Cp ${file_work[*]} ${DEST}
-	#	IGCM_debug_PopStack "IGCM_sys_Get"
-	#	return
-	#    fi
-	#fi
-
-	# test if the (first) file is present in the old computation :
-	IGCM_sys_TestFileArchive ${dm_liste[0]}
-	RET=$?
-        if [ ${RET} -gt 0 ] ; then
-	    echo "IGCM_sys_Get, ERROR : regular file ${dm_liste[0]} DOES NOT EXIST ."
-	    IGCM_debug_Exit "IGCM_sys_Get"
-	fi
-
-	dmget ${dm_liste[*]} > out_rsync 2>&1
-	RET=$?
-
-	if [ ${RET} -gt 0 ] ; then
-	    echo "WARNING IGCM_sys_Get : demigration error."
-	    cat out_rsync
-	    echo "WARNING IGCM_sys_Get : will stop later if the cp fails."
-	fi
-
-	#if [ ${RET} -gt 0 ] ; then
-	#    if [ ! "X$( grep "Lost dmusrcmd connection" out_rsync )" = "X" ] ; then
-	#	cat out_rsync
-	#	echo "WARNING IGCM_sys_Get : Lost dmusrcmd connection : "
-	#	sleep 30
-	#	echo "We try another time"
-	#	dmget ${dm_liste[*]} > out_rsync 2>&1
-	#	RET=$?
-	#	if [ ${RET} -gt 0 ] ; then
-	#	    echo "ERROR IGCM_sys_Get : again demigration error :"
-	#	    cat out_rsync
-	#	    IGCM_debug_Exit "IGCM_sys_Get"
-	#	fi
-	#    else
-	#	echo "ERROR IGCM_sys_Get : demigration error :"
-	#	cat out_rsync
-	#	IGCM_debug_Exit "IGCM_sys_Get"
-	#    fi
-	#fi
-
-        #USUAL WAY
-	(( RET=0 ))
-	if [ X${1} = X'/l' ] ; then
-	    (( RET=0 ))
-	    for target in ${dm_liste[*]} ; do
-		local_file=$( basename ${target} )
-		\cp ${target} ${DEST}/${local_file} >> out_rsync 2>&1
-		(( RET = RET + $? ))
-	    done
-	else
-	    \cp ${dm_liste} ${DEST} >> out_rsync 2>&1
-	    RET=$?
-	fi
+  IGCM_debug_PushStack "IGCM_sys_Get" $@
+
+  typeset DEST RET dm_liste ifile target file_work 
+
+  if ( $DEBUG_sys ) ; then
+    echo "IGCM_sys_Get :" $@
+  fi
+  if [ $DRYRUN -le 2 ]; then
+    if [ X${1} = X'/l' ] ; then
+      # test if the first file is present in the old computation :
+      eval set +A dm_liste \${${2}}
+    else
+      eval set +A dm_liste ${1}
+    fi
+    eval DEST=\${${#}}
+
+    #=====================================================
+    #         COMMENT OUT DOUBLE COPY ON SCRATCHDIR
+    #=====================================================
+
+    # Is it an R_OUT file (not R_IN) ?
+    #echo ${dm_liste[0]} | grep "${R_OUT}" > /dev/null 2>&1
+    #if [ $? -eq 0 ] ; then
+    #    # Yes  ? then we try to get it in SCRATCHDIR
+    #    set +A file_work $( echo ${dm_liste[*]} | sed -e "s|${R_OUT}|${R_BUF}|g" )
+    #    if [ -f ${file_work[0]} ] ; then
+    #	IGCM_sys_Cp ${file_work[*]} ${DEST}
+    #	IGCM_debug_PopStack "IGCM_sys_Get"
+    #	return
+    #    fi
+    #fi
+
+    # test if the (first) file is present in the old computation :
+    IGCM_sys_TestFileArchive ${dm_liste[0]}
+    RET=$?
+    if [ ${RET} -gt 0 ] ; then
+      echo "IGCM_sys_Get, ERROR : regular file ${dm_liste[0]} DOES NOT EXIST ."
+      IGCM_debug_Exit "IGCM_sys_Get"
+    fi
+
+    dmget ${dm_liste[*]} > out_rsync 2>&1
+    RET=$?
+    if [ ${RET} -gt 0 ] ; then
+      echo "WARNING IGCM_sys_Get : demigration error."
+      cat out_rsync
+      echo "WARNING IGCM_sys_Get : will stop later if the cp fails."
+    fi
+    #if [ ${RET} -gt 0 ] ; then
+    #    if [ ! "X$( grep "Lost dmusrcmd connection" out_rsync )" = "X" ] ; then
+    #	cat out_rsync
+    #	echo "WARNING IGCM_sys_Get : Lost dmusrcmd connection : "
+    #	sleep 30
+    #	echo "We try another time"
+    #	dmget ${dm_liste[*]} > out_rsync 2>&1
+    #	RET=$?
+    #	if [ ${RET} -gt 0 ] ; then
+    #	    echo "ERROR IGCM_sys_Get : again demigration error :"
+    #	    cat out_rsync
+    #	    IGCM_debug_Exit "IGCM_sys_Get"
+    #	fi
+    #    else
+    #	echo "ERROR IGCM_sys_Get : demigration error :"
+    #	cat out_rsync
+    #	IGCM_debug_Exit "IGCM_sys_Get"
+    #    fi
+    #fi
+
+    #USUAL WAY
+    if [ X${1} = X'/l' ] ; then
+      (( RET=0 ))
+      for target in ${dm_liste[*]} ; do
+	local_file=$( basename ${target} )
+	\cp ${target} ${DEST}/${local_file} >> out_rsync 2>&1
+	(( RET = RET + $? ))
+      done
+    else
+      \cp ${dm_liste} ${DEST} >> out_rsync 2>&1
+      RET=$?
+    fi
 
 # 	#RSYNC WITH NETWORK SSH CALL
@@ -1167,37 +1215,112 @@
 #  	(( RET=RET+$? ))
 
-	if [ ${RET} -gt 0 ] ; then
-	    echo "IGCM_sys_Get : copy error."
-	    cat out_rsync
-	    IGCM_debug_Exit "IGCM_sys_Get"
-	else
-	    \rm out_rsync
-	fi
+    if [ ${RET} -gt 0 ] ; then
+      echo "IGCM_sys_Get : copy error."
+      cat out_rsync
+      IGCM_debug_Exit "IGCM_sys_Get"
     else
-	( ${DEBUG_debug} ) && echo "DRYRUN mode = " $DRYRUN >> stack
-    fi
-    IGCM_debug_PopStack "IGCM_sys_Get"
+      \rm out_rsync
+    fi
+  else
+    ( ${DEBUG_debug} ) && echo "DRYRUN mode = " $DRYRUN >> stack
+  fi
+  IGCM_debug_PopStack "IGCM_sys_Get"
+}
+
+#D-#==================================================
+#D-function IGCM_sys_GetBuffer
+#D-* Purpose: Get a file from ${SCRATCHDIR}
+#D-* Examples: IGCM_sys_GetBuffer myfile /destpath/myfile_with_PREFIX
+#D-            IGCM_sys_GetBuffer /l Array_contain_myfiles /destpath/
+function IGCM_sys_GetBuffer {
+  IGCM_debug_PushStack "IGCM_sys_GetBuffer" $@
+
+  typeset DEST RET buf_liste ifile target file_work 
+
+  if ( $DEBUG_sys ) ; then
+    echo "IGCM_sys_GetBuffer :" $@
+  fi
+  if [ $DRYRUN -le 2 ]; then
+    if [ X${1} = X'/l' ] ; then
+      # test if the first file is present in the old computation :
+      eval set +A buf_liste \${${2}}
+    else
+      eval set +A buf_liste ${1}
+    fi
+    eval DEST=\${${#}}
+
+    #USUAL WAY
+    if [ X${1} = X'/l' ] ; then
+      (( RET=0 ))
+      for target in ${buf_liste[*]} ; do
+	local_file=$( basename ${target} )
+	\cp ${target} ${DEST}/${local_file} >> out_rsync 2>&1
+	(( RET = RET + $? ))
+      done
+    else
+      \cp ${buf_liste} ${DEST} >> out_rsync 2>&1
+      RET=$?
+    fi
+
+    if [ ${RET} -gt 0 ] ; then
+      echo "IGCM_sys_GetBuffer : copy error."
+      cat out_rsync
+      IGCM_debug_Exit "IGCM_sys_GetBuffer"
+    else
+      \rm out_rsync
+    fi
+  else
+    ( ${DEBUG_debug} ) && echo "DRYRUN mode = " $DRYRUN >> stack
+  fi
+  IGCM_debug_PopStack "IGCM_sys_GetBuffer"
+}
+
+#D-#==================================================
+#D-function IGCM_sys_GetDate_FichWork
+#D-* Purpose: donne la date filesys d'un fichier sur le filesystem WORK
+#D-* Examples:
+#D-
+function IGCM_sys_GetDate_FichWork {
+  IGCM_debug_PushStack "IGCM_sys_FichWork" $@
+  if ( $DEBUG_sys ) ; then
+    echo "IGCM_sys_GetDate_FichWork :" $@
+  fi
+    # donne la date filesys d'un fichier sur la machine work
+  IGCM_debug_PopStack "IGCM_sys_FichWork"
+}
+
+#D-#==================================================
+#D-function IGCM_sys_GetDate_FichArchive
+#D-* Purpose: donne la date filesys d'un fichier sur le filesystem ARCHIVE 
+#D-* Examples:
+#D-
+function IGCM_sys_GetDate_FichArchive {
+  IGCM_debug_PushStack "IGCM_sys_FichArchive" $@
+  if ( $DEBUG_sys ) ; then
+    echo "IGCM_sys_GetDate_FichArchive :" $@
+  fi
+  IGCM_debug_PopStack "IGCM_sys_FichArchive"
 }
 
 #D-#==================================================
 #D-function IGCM_sys_Dods_Rm
-#D-* Purpose: DO NOTHING ! Put $(ARCHIVE) files on DODS internet protocole.
+#D-* Purpose: DO NOTHING ! Put ${ARCHIVE} files on DODS internet protocole.
 #D-* Examples:
 #D-
 function IGCM_sys_Dods_Rm {
-    if ( $DEBUG_sys ) ; then
-	echo "IGCM_sys_Dods_Rm :" $@
-    fi
-    typeset RET
-    RET=0
-    if [ $DRYRUN = 0 ]; then
-	if [ ! -d /dmnfs/cont003/dods/public/${LOGIN}/${R_DODS}/${1} ] ; then
-	    echo "WARNING : IGCM_sys_Dods_Rm /dmnfs/cont003/dods/public/${LOGIN}/${R_DODS}/${1} DOES NOT EXIST ."
-	    echo "Nothing has been done."
-	    return
-	fi
-	dods_rm public/${LOGIN}/${R_DODS}/${1} #> out_dods_rm 2>&1
-	RET=$?
-        
+  if ( $DEBUG_sys ) ; then
+    echo "IGCM_sys_Dods_Rm :" $@
+  fi
+  typeset RET
+  RET=0
+  if [ $DRYRUN = 0 ]; then
+    if [ ! -d /dmnfs/cont003/dods/public/${LOGIN}/${R_DODS}/${1} ] ; then
+      echo "WARNING : IGCM_sys_Dods_Rm /dmnfs/cont003/dods/public/${LOGIN}/${R_DODS}/${1} DOES NOT EXIST ."
+      echo "Nothing has been done."
+      return
+    fi
+    dods_rm public/${LOGIN}/${R_DODS}/${1} # > out_dods_rm 2>&1
+    RET=$?
+    
 #	if [ ${RET} -gt 0 ] ; then
 #	    echo "IGCM_sys_Dods_Rm : error."
@@ -1208,10 +1331,9 @@
 #	fi
 
-    else
-	( ${DEBUG_debug} ) && echo "DRYRUN mode = " $DRYRUN >> stack
-    fi
-    return $RET
-}
-
+  else
+    ( ${DEBUG_debug} ) && echo "DRYRUN mode = " $DRYRUN >> stack
+  fi
+  return $RET
+}
 
 #D-#==================================================
@@ -1221,19 +1343,19 @@
 #D-
 function IGCM_sys_Dods_Cp {
-    if ( $DEBUG_sys ) ; then
-	echo "IGCM_sys_Dods_Cp :" $@
-    fi
-    typeset RET
-    RET=0
-    if [ $DRYRUN = 0 ]; then
-	if [ ! -d ${R_SAVE}/${1} ] ; then
-	    echo "WARNING : IGCM_sys_Dods_Cp ${R_SAVE}/${1} DOES NOT EXIST ."
-	    echo "Nothing has been done."
-	    return
-	fi
-	#
-	dods_cp ${1} public/${LOGIN}/${R_DODS} # > out_dods_cp 2>&1
-	RET=$?
-        
+  if ( $DEBUG_sys ) ; then
+    echo "IGCM_sys_Dods_Cp :" $@
+  fi
+  typeset RET
+  RET=0
+  if [ $DRYRUN = 0 ]; then
+    if [ ! -d ${R_SAVE}/${1} ] ; then
+      echo "WARNING : IGCM_sys_Dods_Cp ${R_SAVE}/${1} DOES NOT EXIST ."
+      echo "Nothing has been done."
+      return
+    fi
+    #
+    dods_cp ${1} public/${LOGIN}/${R_DODS} # > out_dods_cp 2>&1
+    RET=$?
+
 # 	if [ ${RET} -gt 0 ] ; then
 # 	    echo "IGCM_sys_Dods_Cp : error."
@@ -1244,8 +1366,8 @@
 # 	fi
 
-    else
-	( ${DEBUG_debug} ) && echo "DRYRUN mode = " $DRYRUN >> stack
-    fi
-    return $RET
+  else
+    ( ${DEBUG_debug} ) && echo "DRYRUN mode = " $DRYRUN >> stack
+  fi
+  return $RET
 }
 
@@ -1256,59 +1378,30 @@
 #D-
 function IGCM_sys_Put_Dods {
-    IGCM_debug_PushStack "IGCM_sys_Put_Dods" $@
-    if ( $DEBUG_sys ) ; then
-	echo "IGCM_sys_Put_Dods :" $@
-    fi
-    if [ $DRYRUN = 0 ]; then
-	if [ ! -d ${R_SAVE}/${1} ] ; then
-	    echo "WARNING : IGCM_sys_Put_Dods ${R_SAVE}/${1} DOES NOT EXIST ."
-	    IGCM_debug_PopStack "IGCM_sys_Put_Dods"
-	    return
-	fi
-
-	typeset RET
+  IGCM_debug_PushStack "IGCM_sys_Put_Dods" $@
+  if ( $DEBUG_sys ) ; then
+    echo "IGCM_sys_Put_Dods :" $@
+  fi
+  if [ $DRYRUN = 0 ]; then
+    if [ ! -d ${R_SAVE}/${1} ] ; then
+      echo "WARNING : IGCM_sys_Put_Dods ${R_SAVE}/${1} DOES NOT EXIST ."
+      IGCM_debug_PopStack "IGCM_sys_Put_Dods"
+      return
+    fi
+
+    typeset RET
 	#
-	cd ${R_SAVE}
-	IGCM_sys_Dods_Rm ${1}
-	IGCM_sys_Dods_Cp ${1}
-	RET=0
-        
-	if [ ${RET} -gt 0 ] ; then
-	    echo "IGCM_sys_Put_Dods : error."
-	    IGCM_debug_Exit "IGCM_sys_Put_Dods"
-	fi
-    else
-	( ${DEBUG_debug} ) && echo "DRYRUN mode = " $DRYRUN >> stack
-    fi
-    IGCM_debug_PopStack "IGCM_sys_Put_Dods"
-}
-
-############################################################## A FINIR !!
-
-#D-#==================================================
-#D-function IGCM_sys_GetDate_FichWork
-#D-* Purpose: donne la date filesys d'un fichier sur le filesystem WORK
-#D-* Examples:
-#D-
-function IGCM_sys_GetDate_FichWork {
-    IGCM_debug_PushStack "IGCM_sys_FichWork" $@
-    if ( $DEBUG_sys ) ; then
-	echo "IGCM_sys_GetDate_FichWork :" $@
-    fi
-    # donne la date filesys d'un fichier sur la machine work
-    IGCM_debug_PopStack "IGCM_sys_FichWork"
-}
-
-#D-#==================================================
-#D-function IGCM_sys_GetDate_FichArchive
-#D-* Purpose: donne la date filesys d'un fichier sur le filesystem ARCHIVE 
-#D-* Examples:
-#D-
-function IGCM_sys_GetDate_FichArchive {
-    IGCM_debug_PushStack "IGCM_sys_FichArchive" $@
-    if ( $DEBUG_sys ) ; then
-	echo "IGCM_sys_GetDate_FichArchive :" $@
-    fi
-    IGCM_debug_PopStack "IGCM_sys_FichArchive"
+    cd ${R_SAVE}
+    IGCM_sys_Dods_Rm ${1}
+    IGCM_sys_Dods_Cp ${1}
+    RET=0
+    
+    if [ ${RET} -gt 0 ] ; then
+      echo "IGCM_sys_Put_Dods : error."
+      IGCM_debug_Exit "IGCM_sys_Put_Dods"
+    fi
+  else
+    ( ${DEBUG_debug} ) && echo "DRYRUN mode = " $DRYRUN >> stack
+  fi
+  IGCM_debug_PopStack "IGCM_sys_Put_Dods"
 }
 
@@ -1317,15 +1410,49 @@
 
 function IGCM_sys_rebuild {
-    IGCM_debug_PushStack "IGCM_sys_rebuild" -- $@
-    if ( $DEBUG_sys ) ; then
-	echo "IGCM_sys_rebuild :" $@
-    fi
-    /home/cont003/p86ipsl/CESIUM/bin/rebuild -f -o $@
-    if [ $? -gt 0 ] ; then
-       echo "IGCM_sys_rebuild : erreur ${@}."
-       IGCM_debug_Exit "rebuild"
-    fi
-
-    IGCM_debug_PopStack "IGCM_sys_rebuild"
+  IGCM_debug_PushStack "IGCM_sys_rebuild" -- $@
+  if ( $DEBUG_sys ) ; then
+    echo "IGCM_sys_rebuild :" $@
+  fi
+  /home/cont003/p86ipsl/CESIUM/bin/rebuild -f -o $@
+  if [ $? -gt 0 ] ; then
+    echo "IGCM_sys_rebuild : erreur ${@}."
+    IGCM_debug_Exit "rebuild"
+  fi
+
+  IGCM_debug_PopStack "IGCM_sys_rebuild"
+}
+
+
+############################################################
+# Activate Running Environnment Variables
+
+function IGCM_sys_activ_variables {
+  IGCM_debug_PushStack "IGCM_sys_activ_variables"
+  if ( $DEBUG_sys ) ; then
+    echo "IGCM_sys_activ_variables"
+  fi
+  IGCM_debug_PopStack "IGCM_sys_activ_variables"
+}
+
+############################################################
+# Desactivate Running Environnment Variables
+
+function IGCM_sys_desactiv_variables {
+  IGCM_debug_PushStack "IGCM_sys_desactiv_variables"
+  if ( $DEBUG_sys ) ; then
+    echo "IGCM_sys_desactiv_variables"
+  fi
+  IGCM_debug_PopStack "IGCM_sys_desactiv_variables"
+}
+
+############################################################
+# Build run file
+
+function IGCM_sys_build_run_file {
+  IGCM_debug_PushStack "IGCM_sys_build_run_file" $@
+  if ( $DEBUG_sys ) ; then
+    echo "IGCM_sys_build_run_file"
+  fi
+  IGCM_debug_PopStack "IGCM_sys_build_run_file"
 }
 
@@ -1334,183 +1461,183 @@
 
 function IGCM_sys_ncap2 {
-    IGCM_debug_PushStack "IGCM_sys_ncap2" -- $@
-    if ( $DEBUG_sys ) ; then
-	echo "IGCM_sys_ncap2 :" $@
-    fi
-    ncap2 "$@"
-    if [ $? -gt 0 ] ; then
-       echo "IGCM_sys_ncap2 : erreur ${@}."
-       IGCM_debug_Exit "ncap2"
-    fi
-
-    IGCM_debug_PopStack "IGCM_sys_ncap2"
+  IGCM_debug_PushStack "IGCM_sys_ncap2" -- $@
+  if ( $DEBUG_sys ) ; then
+    echo "IGCM_sys_ncap2 :" $@
+  fi
+  ncap2 "$@"
+  if [ $? -gt 0 ] ; then
+    echo "IGCM_sys_ncap2 : erreur ${@}."
+    IGCM_debug_Exit "ncap2"
+  fi
+
+  IGCM_debug_PopStack "IGCM_sys_ncap2"
 }
 
 function IGCM_sys_ncatted {
-    IGCM_debug_PushStack "IGCM_sys_ncatted" -- $@
-    if ( $DEBUG_sys ) ; then
-	echo "IGCM_sys_ncatted :" $@
-    fi
-    ncatted "$@"
-    if [ $? -gt 0 ] ; then
-       echo "IGCM_sys_ncatted : erreur ${@}."
-       IGCM_debug_Exit "ncatted"
-    fi
-
-    IGCM_debug_PopStack "IGCM_sys_ncatted"
+  IGCM_debug_PushStack "IGCM_sys_ncatted" -- $@
+  if ( $DEBUG_sys ) ; then
+    echo "IGCM_sys_ncatted :" $@
+  fi
+  ncatted "$@"
+  if [ $? -gt 0 ] ; then
+    echo "IGCM_sys_ncatted : erreur ${@}."
+    IGCM_debug_Exit "ncatted"
+  fi
+
+  IGCM_debug_PopStack "IGCM_sys_ncatted"
 }
 
 function IGCM_sys_ncbo {
-    IGCM_debug_PushStack "IGCM_sys_ncbo" -- $@
-    if ( $DEBUG_sys ) ; then
-	echo "IGCM_sys_ncbo :" $@
-    fi
-    ncbo $@
-    if [ $? -gt 0 ] ; then
-       echo "IGCM_sys_ncbo : erreur ${@}."
-       IGCM_debug_Exit "ncbo"
-    fi
-
-    IGCM_debug_PopStack "IGCM_sys_ncbo"
+  IGCM_debug_PushStack "IGCM_sys_ncbo" -- $@
+  if ( $DEBUG_sys ) ; then
+    echo "IGCM_sys_ncbo :" $@
+  fi
+  ncbo $@
+  if [ $? -gt 0 ] ; then
+    echo "IGCM_sys_ncbo : erreur ${@}."
+    IGCM_debug_Exit "ncbo"
+  fi
+
+  IGCM_debug_PopStack "IGCM_sys_ncbo"
 }
 
 function IGCM_sys_ncdiff {
-    IGCM_debug_PushStack "IGCM_sys_ncdiff" -- $@
-    if ( $DEBUG_sys ) ; then
-	echo "IGCM_sys_ncdiff :" $@
-    fi
-    ncdiff $@
-    if [ $? -gt 0 ] ; then
-       echo "IGCM_sys_ncdiff : erreur ${@}."
-       IGCM_debug_Exit "ncdiff"
-    fi
-
-    IGCM_debug_PopStack "IGCM_sys_ncdiff"
+  IGCM_debug_PushStack "IGCM_sys_ncdiff" -- $@
+  if ( $DEBUG_sys ) ; then
+    echo "IGCM_sys_ncdiff :" $@
+  fi
+  ncdiff $@
+  if [ $? -gt 0 ] ; then
+    echo "IGCM_sys_ncdiff : erreur ${@}."
+    IGCM_debug_Exit "ncdiff"
+  fi
+
+  IGCM_debug_PopStack "IGCM_sys_ncdiff"
 }
 
 function IGCM_sys_ncea {
-    IGCM_debug_PushStack "IGCM_sys_ncea" -- $@
-    if ( $DEBUG_sys ) ; then
-	echo "IGCM_sys_ncea :" $@
-    fi
-    ncea $@
-    if [ $? -gt 0 ] ; then
-       echo "IGCM_sys_ncea : erreur ${@}."
-       IGCM_debug_Exit "ncea"
-    fi
-
-    IGCM_debug_PopStack "IGCM_sys_ncea"
+  IGCM_debug_PushStack "IGCM_sys_ncea" -- $@
+  if ( $DEBUG_sys ) ; then
+    echo "IGCM_sys_ncea :" $@
+  fi
+  ncea $@
+  if [ $? -gt 0 ] ; then
+    echo "IGCM_sys_ncea : erreur ${@}."
+    IGCM_debug_Exit "ncea"
+  fi
+
+  IGCM_debug_PopStack "IGCM_sys_ncea"
 }
 
 function IGCM_sys_ncecat {
-    IGCM_debug_PushStack "IGCM_sys_ncecat" -- $@
-    if ( $DEBUG_sys ) ; then
-	echo "IGCM_sys_ncecat :" $@
-    fi
-    ncecat $@
-    if [ $? -gt 0 ] ; then
-       echo "IGCM_sys_ncecat : erreur ${@}."
-       IGCM_debug_Exit "ncecat"
-    fi
-
-    IGCM_debug_PopStack "IGCM_sys_ncecat"
+  IGCM_debug_PushStack "IGCM_sys_ncecat" -- $@
+  if ( $DEBUG_sys ) ; then
+    echo "IGCM_sys_ncecat :" $@
+  fi
+  ncecat $@
+  if [ $? -gt 0 ] ; then
+    echo "IGCM_sys_ncecat : erreur ${@}."
+    IGCM_debug_Exit "ncecat"
+  fi
+
+  IGCM_debug_PopStack "IGCM_sys_ncecat"
 }
 
 function IGCM_sys_ncflint {
-    IGCM_debug_PushStack "IGCM_sys_ncflint" -- $@
-    if ( $DEBUG_sys ) ; then
-	echo "IGCM_sys_ncflint :" $@
-    fi
-    ncflint $@
-    if [ $? -gt 0 ] ; then
-       echo "IGCM_sys_ncflint : erreur ${@}."
-       IGCM_debug_Exit "ncflint"
-    fi
-
-    IGCM_debug_PopStack "IGCM_sys_ncflint"
+  IGCM_debug_PushStack "IGCM_sys_ncflint" -- $@
+  if ( $DEBUG_sys ) ; then
+    echo "IGCM_sys_ncflint :" $@
+  fi
+  ncflint $@
+  if [ $? -gt 0 ] ; then
+    echo "IGCM_sys_ncflint : erreur ${@}."
+    IGCM_debug_Exit "ncflint"
+  fi
+
+  IGCM_debug_PopStack "IGCM_sys_ncflint"
 }
 
 function IGCM_sys_ncks {
-    IGCM_debug_PushStack "IGCM_sys_ncks" -- $@
-    if ( $DEBUG_sys ) ; then
-	echo "IGCM_sys_ncks :" $@
-    fi
-    ncks $@
-    if [ $? -gt 0 ] ; then
-       echo "IGCM_sys_ncks : erreur ${@}."
-       IGCM_debug_Exit "ncks"
-    fi
-
-    IGCM_debug_PopStack "IGCM_sys_ncks"
+  IGCM_debug_PushStack "IGCM_sys_ncks" -- $@
+  if ( $DEBUG_sys ) ; then
+    echo "IGCM_sys_ncks :" $@
+  fi
+  ncks $@
+  if [ $? -gt 0 ] ; then
+    echo "IGCM_sys_ncks : erreur ${@}."
+    IGCM_debug_Exit "ncks"
+  fi
+
+  IGCM_debug_PopStack "IGCM_sys_ncks"
 }
 
 function IGCM_sys_ncpdq {
-    IGCM_debug_PushStack "IGCM_sys_ncpdq" -- $@
-    if ( $DEBUG_sys ) ; then
-	echo "IGCM_sys_ncpdq :" $@
-    fi
-    ncpdq $@
-    if [ $? -gt 0 ] ; then
-       echo "IGCM_sys_ncpdq : erreur ${@}."
-       IGCM_debug_Exit "ncpdq"
-    fi
-
-    IGCM_debug_PopStack "IGCM_sys_ncpdq"
+  IGCM_debug_PushStack "IGCM_sys_ncpdq" -- $@
+  if ( $DEBUG_sys ) ; then
+    echo "IGCM_sys_ncpdq :" $@
+  fi
+  ncpdq $@
+  if [ $? -gt 0 ] ; then
+    echo "IGCM_sys_ncpdq : erreur ${@}."
+    IGCM_debug_Exit "ncpdq"
+  fi
+
+  IGCM_debug_PopStack "IGCM_sys_ncpdq"
 }
 
 function IGCM_sys_ncra {
-    IGCM_debug_PushStack "IGCM_sys_ncra" -- $@
-    if ( $DEBUG_sys ) ; then
-	echo "IGCM_sys_ncra :" $@
-    fi
-    ncra $@
-    if [ $? -gt 0 ] ; then
-       echo "IGCM_sys_ncra : erreur ${@}."
-       IGCM_debug_Exit "ncra"
-    fi
-
-    IGCM_debug_PopStack "IGCM_sys_ncra"
+  IGCM_debug_PushStack "IGCM_sys_ncra" -- $@
+  if ( $DEBUG_sys ) ; then
+    echo "IGCM_sys_ncra :" $@
+  fi
+  ncra $@
+  if [ $? -gt 0 ] ; then
+    echo "IGCM_sys_ncra : erreur ${@}."
+    IGCM_debug_Exit "ncra"
+  fi
+
+  IGCM_debug_PopStack "IGCM_sys_ncra"
 }
 
 function IGCM_sys_ncrcat {
-    IGCM_debug_PushStack "IGCM_sys_ncrcat" -- $@
-    if ( $DEBUG_sys ) ; then
-	echo "IGCM_sys_ncrcat :" $@
-    fi
-    ncrcat $@
-    if [ $? -gt 0 ] ; then
-       echo "IGCM_sys_ncrcat : erreur ${@}."
+  IGCM_debug_PushStack "IGCM_sys_ncrcat" -- $@
+  if ( $DEBUG_sys ) ; then
+    echo "IGCM_sys_ncrcat :" $@
+  fi
+  ncrcat $@
+  if [ $? -gt 0 ] ; then
+    echo "IGCM_sys_ncrcat : erreur ${@}."
 #       IGCM_debug_Exit "ncrcat"
-    fi
-
-    IGCM_debug_PopStack "IGCM_sys_ncrcat"
+  fi
+
+  IGCM_debug_PopStack "IGCM_sys_ncrcat"
 }
 
 function IGCM_sys_ncrename {
-    IGCM_debug_PushStack "IGCM_sys_ncrename" -- $@
-    if ( $DEBUG_sys ) ; then
-	echo "IGCM_sys_ncrename :" $@
-    fi
-    ncrename $@
-    if [ $? -gt 0 ] ; then
-       echo "IGCM_sys_ncrename : erreur ${@}."
-       IGCM_debug_Exit "ncrename"
-    fi
-
-    IGCM_debug_PopStack "IGCM_sys_ncrename"
+  IGCM_debug_PushStack "IGCM_sys_ncrename" -- $@
+  if ( $DEBUG_sys ) ; then
+    echo "IGCM_sys_ncrename :" $@
+  fi
+  ncrename $@
+  if [ $? -gt 0 ] ; then
+    echo "IGCM_sys_ncrename : erreur ${@}."
+    IGCM_debug_Exit "ncrename"
+  fi
+
+  IGCM_debug_PopStack "IGCM_sys_ncrename"
 }
 
 function IGCM_sys_ncwa {
-    IGCM_debug_PushStack "IGCM_sys_ncwa" -- $@
-    if ( $DEBUG_sys ) ; then
-	echo "IGCM_sys_ncwa :" $@
-    fi
-    ncwa $@
-    if [ $? -gt 0 ] ; then
-       echo "IGCM_sys_ncwa : erreur ${@}."
-       IGCM_debug_Exit "ncwa"
-    fi
-
-    IGCM_debug_PopStack "IGCM_sys_ncwa"
+  IGCM_debug_PushStack "IGCM_sys_ncwa" -- $@
+  if ( $DEBUG_sys ) ; then
+    echo "IGCM_sys_ncwa :" $@
+  fi
+  ncwa $@
+  if [ $? -gt 0 ] ; then
+    echo "IGCM_sys_ncwa : erreur ${@}."
+    IGCM_debug_Exit "ncwa"
+  fi
+
+  IGCM_debug_PopStack "IGCM_sys_ncwa"
 }
 
